DROP PROCEDURE IF EXISTS sp_upd_amazonoffer;
GO

CREATE PROCEDURE sp_upd_amazonoffer()
BEGIN
  IF EXISTS (select Table_Name from information_schema.TABLES where Table_Name='amazonoffer' and TABLE_SCHEMA=database()) THEN
    UPDATE amazonoffer SET onlinestatus = 4 where onlinestatus = 2;
    SELECT 'amazonoffer successfully updated!';
  ELSE 
    SELECT 'no table amazonoffer!';
  END IF; 
END;
GO

CALL sp_upd_amazonoffer()
GO

DROP PROCEDURE IF EXISTS sp_upd_amazonoffer;
GO
